##
##  perl-stats.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                         5.22
%define       V_statistics_basic             1.6611
%define       V_statistics_lite              3.62
%define       V_statistics_maxentropy        1.0
%define       V_statistics_descriptive       3.0801
%define       V_statistics_distributions     1.02
%define       V_statistics_ttest             1.1.0
%define       V_statistics_chisquare         1.0000
%define       V_statistics_regression        0.53
%define       V_statistics_rankcorrelation   0.1206
%define       V_statistics_serialcorrelation 1.1

#   package information
Name:         perl-stats
Summary:      Perl Modules for Statistics
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20230708

#   list of sources
Source0:      http://www.cpan.org/authors/id/J/JE/JETTERO/Statistics-Basic-%{V_statistics_basic}.tar.gz
Source1:      http://www.cpan.org/authors/id/B/BR/BRIANL/Statistics-Lite-%{V_statistics_lite}.tar.gz
Source2:      http://www.cpan.org/authors/id/T/TE/TERDOEST/Statistics-MaxEntropy-%{V_statistics_maxentropy}.tar.gz
Source3:      http://www.cpan.org/authors/id/S/SH/SHLOMIF/Statistics-Descriptive-%{V_statistics_descriptive}.tar.gz
Source4:      http://www.cpan.org/authors/id/M/MI/MIKEK/Statistics-Distributions-%{V_statistics_distributions}.tar.gz
Source5:      http://www.cpan.org/authors/id/Y/YU/YUNFANG/Statistics-TTest-%{V_statistics_ttest}.tar.gz
Source6:      http://www.cpan.org/authors/id/D/DC/DCANTRELL/Statistics-ChiSquare-%{V_statistics_chisquare}.tar.gz
Source7:      http://www.cpan.org/authors/id/I/IA/IAWELCH/Statistics-Regression-%{V_statistics_regression}.tar.gz
Source8:      http://www.cpan.org/authors/id/G/GE/GENE/Statistics-RankCorrelation-%{V_statistics_rankcorrelation}.tar.gz
Source9:      http://www.cpan.org/authors/id/D/DC/DCANTRELL/Statistics-SerialCorrelation-%{V_statistics_serialcorrelation}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}

%description
    Various Perl modules for Statistics calculations:
    - Statistics::Basic (%{V_statistics_basic})
    - Statistics::Lite (%{V_statistics_lite})
    - Statistics::MaxEntropy (%{V_statistics_maxentropy})
    - Statistics::Descriptive (%{V_statistics_descriptive})
    - Statistics::Distributions (%{V_statistics_distributions})
    - Statistics::TTest (%{V_statistics_ttest})
    - Statistics::ChiSquare (%{V_statistics_chisquare})
    - Statistics::Regression (%{V_statistics_regression})
    - Statistics::RankCorrelation (%{V_statistics_rankcorrelation})
    - Statistics::SerialCorrelation (%{V_statistics_serialcorrelation})

%track
    prog perl-stats:Statistics-Basic = {
        version   = %{V_statistics_basic}
        url       = http://www.cpan.org/authors/id/J/JE/JETTERO/
        regex     = Statistics-Basic-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-Lite = {
        version   = %{V_statistics_lite}
        url       = http://www.cpan.org/authors/id/B/BR/BRIANL/
        regex     = Statistics-Lite-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-MaxEntropy = {
        version   = %{V_statistics_maxentropy}
        url       = http://www.cpan.org/authors/id/T/TE/TERDOEST/
        regex     = Statistics-MaxEntropy-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-Descriptive = {
        version   = %{V_statistics_descriptive}
        url       = http://www.cpan.org/authors/id/S/SH/SHLOMIF/
        regex     = Statistics-Descriptive-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-Distributions = {
        version   = %{V_statistics_distributions}
        url       = http://www.cpan.org/authors/id/M/MI/MIKEK/
        regex     = Statistics-Distributions-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-TTest = {
        version   = %{V_statistics_ttest}
        url       = http://www.cpan.org/authors/id/Y/YU/YUNFANG/
        regex     = Statistics-TTest-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-ChiSquare = {
        version   = %{V_statistics_chisquare}
        url       = http://www.cpan.org/authors/id/D/DC/DCANTRELL/
        regex     = Statistics-ChiSquare-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-Regression = {
        version   = %{V_statistics_regression}
        url       = http://www.cpan.org/authors/id/I/IA/IAWELCH/
        regex     = Statistics-Regression-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-RankCorrelation = {
        version   = %{V_statistics_rankcorrelation}
        url       = http://www.cpan.org/authors/id/G/GE/GENE/
        regex     = Statistics-RankCorrelation-(__VER__)\.tar\.gz
    }
    prog perl-stats:Statistics-SerialCorrelation = {
        version   = %{V_statistics_serialcorrelation}
        url       = http://www.cpan.org/authors/id/D/DC/DCANTRELL/
        regex     = Statistics-SerialCorrelation-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/ME.wrapper.pl
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

